Package skyview.geometry.projecter

# Class ToastPixelSize

java.lang.Object
skyview.geometry.projecter.ToastPixelSize

public class ToastPixelSize extends Object
Calculate the distribution of areas of TOAST pixels.

## Constructor Summary

Constructors
Constructor
Description
`ToastPixelSize()`

## Method Summary

Modifier and Type
Method
Description
`static double`
`ang(double[] x, double[] y)`
`static double[]`
`cross(double[] x, double[] y)`
`static double`
`dot(double[] x, double[] y)`
`static void`
`main(String[] args)`
`static double`
`norm(double[] x)`
`static void`
`pnt(String lab, double[] p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ToastPixelSize

public ToastPixelSize()

## Method Details

### main

public static void main(String[] args) throws Exception

Throws:
  `Exception`

### pnt

public static void pnt(String lab, double[] p)

### cross

public static double[] cross(double[] x, double[] y)

### norm

public static double norm(double[] x)

### ang

public static double ang(double[] x, double[] y)

### dot

public static double dot(double[] x, double[] y)